<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getHackTime](./bitburner.ns.gethacktime.md)

## NS.getHackTime() method

Get the execution time of a hack() call.

**Signature:**

```typescript
getHackTime(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

Returns the amount of time in milliseconds it takes to execute the [hack](./bitburner.ns.hack.md) Netscript function.

## Remarks

RAM cost: 0.05 GB

When `hack` completes an amount of money is stolen depending on the player's skills. Returns the amount of time in milliseconds it takes to execute the [hack](./bitburner.ns.hack.md) Netscript function on the target server. The required time is increased by the security level of the target server and decreased by the player's hacking level.

